<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       http://ticketing.getyourguide.com
 * @since      1.0.0
 *
 * @package    Getyourguide_Ticketing
 * @subpackage Getyourguide_Ticketing/admin/partials
 */
?>
<h1>Link Builder</h1>

<form id="ticketing-link-builder-settings">
    <table class="form-table" role="presentation">
        <tbody>
            <tr>
                <th scope="row">Affiliate Partner ID</th>
                <td>
                    <?php
                    $options = get_option('getyourguide_ticketing_settings');
                    $partner_hash = esc_html($options['getyourguide_ticketing_partner_hash']);
                    ?>
                    <input type="text" name="partner_hash" value="<?php echo esc_html($partner_hash) ?>"></input>
                </td>
            </tr>

            <tr>
                <th scope="row">Website URL</th>
                <td>
                    <input type="text" name="base_url" value="<?php echo esc_url(get_site_url()) ?>"></input>
                </td>
            </tr>

            <tr>
                <th scope="row">GetYourGuide Activity Links<br /> (one link per row)</th>
                <td>
                    <textarea type="text" name="links" cols="100" rows="5" placeholder=""></textarea>
                    <br />
                    <small>For example <a rel="blank" href="https://www.getyourguide.com/empire-state-building-l2608/skip-the-line-empire-state-building-observatory-tickets-t6195/">https://www.getyourguide.com/empire-state-building-l2608/skip-the-line-empire-state-building-observatory-tickets-t6195/</a></small>
                </td>
            </tr>
        </tbody>
    </table>

    <p class="submit"><input type="submit" name="submit" id="submit" class="button button-primary" value="Generate links"></p>
</form>

<div id="results" style="display: none;">
    <h2>Output</h2>

    <h3>Call to action link</h3>
    <p>Update the link for your 'book' buttons to the below</p>

    <h4>Individual</h4>
    <div id="result-ticketing-c2a-individual">

    </div>

    <h4>Combined</h4>
    <div id="result-ticketing-c2a-combined">

    </div>
</div>