<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              http://ticketing.getyourguide.com
 * @since             1.0.0
 * @package           Getyourguide_Ticketing
 *
 * @wordpress-plugin
 * Plugin Name:       GetYourGuide Ticketing
 * Plugin URI:        http://ticketing.getyourguide.com
 * Description:       GetYourGuide Ticketing offers an engaging checkout widget for your website, as well as a touchless ticketing solution for an improved end-to-end experience.
 * Version:           1.0.5
 * Author:            GetyYourGuide - Ticketing Engineering
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       getyourguide-ticketing
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if (!defined('WPINC')) {
	die;
}

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define('GETYOURGUIDE_TICKETING_VERSION', '1.0.0');

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-getyourguide-ticketing-activator.php
 */
function activate_getyourguide_ticketing()
{
	require_once plugin_dir_path(__FILE__) . 'includes/class-getyourguide-ticketing-activator.php';
	Getyourguide_Ticketing_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-getyourguide-ticketing-deactivator.php
 */
function deactivate_getyourguide_ticketing()
{
	require_once plugin_dir_path(__FILE__) . 'includes/class-getyourguide-ticketing-deactivator.php';
	Getyourguide_Ticketing_Deactivator::deactivate();
}

register_activation_hook(__FILE__, 'activate_getyourguide_ticketing');
register_deactivation_hook(__FILE__, 'deactivate_getyourguide_ticketing');

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path(__FILE__) . 'includes/class-getyourguide-ticketing.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_getyourguide_ticketing()
{

	$plugin = new Getyourguide_Ticketing();
	$plugin->run();
}
run_getyourguide_ticketing();
